Subject: [MEXT] Questions on draft-ietf-nemo-dhcpv6-pd-03.txt

From: "George Tsirtsis" <[email-masked]>
Date: Fri, 14 Dec 2007 17:20:16 +0000

Hi Ralph/Pascal,

I was just reading your draft and have the following questions/suggestions.

Reading (admittedly a bit quickly) RFC3315 and RFC3633 I am a bit
confused WRT the Source Address an MR is supposed to use when sending
DHCP messages for the purpose of prefix delegation. RFC3315 says that
the end-node's Link-Local address MUST be used as source address
unless the end node uses unicast (i.e., it already has a global
address and already knows the DHCP Server Address). RFC3633 does not
seem to contradict this.

This seems a bit odd since Prefix Delegation may happen at any time
after address allocation has taken place. In particular for DHCPv6
over MIPv6, the MN already has an HoA assigned, since HoA allocation
is assumed to take place before MIPv6 can run. In that case, the MR
should be able to use Source=HoA and
Destination=ALL-DHCP-Relays-and-servers-Mcast address... or whatever
it is called :-).

Is my understanding correct? Maybe Section 3.2. can be clarified accordingly?

For similar reasons Section 3.7 should also be clarified. At the
moment it gives the impression that DHCPv6 over MIPv6 can be used to
get the HoA assigned. Strictly speaking this is only true during
bootstrapping and only when the MN is at the home link or at least in
a network associated with its home network (this is also called MIPv6
integrated scenario (see
draft-ietf-mip6-bootstrapping-integrated-05.txt).
Parameter configuration can, however, take place both at home link
(natively) and  at foreign links (over the MIPv6 tunnel).

Regards
George
P.S.: BTW, I do not see how this document can be "Informational" in
its current form, since it updates RFC3775 packet formats for DHAAD.

On Dec 6, 2007 7:30 PM,  <[email-masked]> wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Network Mobility Working Group of the IETF.
>
>
>         Title           : DHCPv6 Prefix Delegation for NEMO
>         Author(s)       : R. Droms, P. Thubert
>         Filename        : draft-ietf-nemo-dhcpv6-pd-03.txt
>         Pages           : 11
>         Date            : 2007-12-06
>
> One aspect of network mobility support is the assignment of a prefix
> or prefixes to a Mobile Router (MR) for use on the links in the
> Mobile Network.  DHCPv6 prefix delegation can be used for this
> configuration task.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-nemo-dhcpv6-pd-03.txt
>
> To remove yourself from the I-D Announcement list, send a message to
> [email-masked] with the word unsubscribe in the body of
> the message.
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.
>
> Internet-Drafts are also available by anonymous FTP. Login with the
> username "anonymous" and a password of your e-mail address. After
> logging in, type "cd internet-drafts" and then
>         "get draft-ietf-nemo-dhcpv6-pd-03.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
>         [email-masked].
> In the body type:
>         "FILE /internet-drafts/draft-ietf-nemo-dhcpv6-pd-03.txt".
>
> NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>
>
>

_______________________________________________
MEXT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mext

---

From: Behcet Sarikaya <[email-masked]>
Date: Sun, 16 Dec 2007 11:47:35 -0800 (PST)

----- Original Message ----
From: George Tsirtsis <[email-masked]>
To: Behcet Sarikaya <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Sent: Friday, December 14, 2007 5:51:16 PM
Subject: Re: [MEXT] Questions on draft-ietf-nemo-dhcpv6-pd-03.txt

Just to be clear. I did not identify any problem in the draft.I think
the draft works well and I think it is a clean solution for this
issue.
[behcet] Just look at the archive. People pointed to several problems in this draft.
DHCP PD for nemo is a distinct application, I am not sure what is the "clean" solution?

My e-mail attempts to clarify the draft, nothing more.

George
P.S.: I am also correcting Pascal's e-mail address which I managed to
misspell earlier.

On Dec 14, 2007 6:30 PM, Behcet Sarikaya <[email-masked]>
 wrote:
>
> Apart from this problem George is indicating, I see conceptual
 problem in MR
> being a requesting router for DHCP PD.
>
> I think that HA should be the requesting router. Then we can use TJ's
 draft
> to send the prefix to MR.
>
> Regards,
>
> Behcet
>
>
>
> ----- Original Message ----
> From: George Tsirtsis <[email-masked]>
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Sent: Friday, December 14, 2007 11:20:16 AM
> Subject: [MEXT] Questions on draft-ietf-nemo-dhcpv6-pd-03.txt
>
>  Hi Ralph/Pascal,
>
> > This draft is a work item of the Network Mobility Working Group of
 the
> IETF.
> > You can also visit
 https://www1.ietf.org/mailman/listinfo/I-D-announce